@echo off

set VCID=%1

if not %VCID% geq 17 (
	echo VCID vaut %VCID% mais doit valoir 17, 19 ou 22
	goto END
)
if not "%2" == "64" if not "%2" == "32" (
	echo le second paramètre de ce script vaut %2 mais doit valoir 64 ou 32
	goto END
)

set CONTEXT=%2
if "%2%" == "64" (set "MACHINE=AMD64")
if "%2" == "32" (set "MACHINE=x86")
if %VCID% geq 22 (
	call "C:\Program Files\Microsoft Visual Studio\20%VCID%\Community\VC\Auxiliary\Build\vcvars%2.bat"
) else (
	call "C:\Program Files (x86)\Microsoft Visual Studio\20%VCID%\Community\VC\Auxiliary\Build\vcvars%2.bat"
)			

set DEFINES=/D_WINDOWS_PLATFORM_ /D_CRT_SECURE_NO_WARNINGS /D "WIN32" /D "_WINDOWS" /D "_MSVC2010_" /D "_UNICODE" /D "UNICODE"
set LINKOPTIONS=/DYNAMICBASE /NXCOMPAT

set DEFINES=/D_WINDOWS_PLATFORM_ /D_CRT_SECURE_NO_WARNINGS /D "WIN32" /D "_WINDOWS" /D "_MSVC2010_" /D "_UNICODE" /D "UNICODE"
set LINKOPTIONS=/DYNAMICBASE /NXCOMPAT
set LIBS=comctl32.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib shlwapi.lib

cl.exe /O2 %DEFINES% /EHsc /std:c++17 /MT /Fo".\\" /W3 /c /TP ..\sources\All\*.cpp ..\sources\Win\*.cpp
rc.exe /D_WINDOWS_PLATFORM_ /fo ".\WinCaml.res" "..\sources\Win\resources\WinCaml%CONTEXT%.rc"
link.exe /OUT:".\WinCaml.exe" /RELEASE /SUBSYSTEM:WINDOWS %LINKOPTIONS% /MACHINE:%MACHINE% %LIBS% ".\WinCaml.res" ".\*.obj"

del .\*.obj
del .\*.res

if "%2%" == "64" (set "ARCH=x64")
if "%2" == "32" (set "ARCH=x86")

mkdir WinCaml7  
move /y WinCaml.exe WinCaml7
copy ..\sources\Win\WinCamlInit.bat WinCaml7
xcopy /q /e /s /y /i ..\caml\doc WinCaml7\doc\
xcopy /q /e /s /y /i ..\caml\exemples WinCaml7\exemples\
copy ..\SCINTILLA\Scintilla%ARCH%.dll WinCaml7
move .\WinCaml7\Scintilla%ARCH%.dll .\WinCaml7\Scintilla.dll
:END
echo Appuyer sur une touche pour quitter...
pause > nul
