#!/bin/sh

export PATH=$TOOLCHAIN:/usr/bin:/c/Windows/System32

$GXX $DEFINES -O2 -c ../sources/All/*.cpp ../sources/Win/*.cpp
$WINDRES -D_WINDOWS_PLATFORM_ "../sources/Win/resources/WinCaml$CONTEXT.rc" WinCaml$CONTEXT.o
$GXX -o WinCaml.exe -static -static-libgcc -static-libstdc++ -mwindows *.o -lmingw32 -lkernel32 -luser32 -lgdi32 -lcomdlg32 -lshell32 -lole32 -lcomctl32 -lshlwapi
$STRIP WinCaml.exe

rm *.o

test -d WinCaml7 || mkdir WinCaml7
mv WinCaml.exe WinCaml7
cp ../sources/Win/WinCamlInit.bat WinCaml7
test -d WinCaml7/ocaml || mkdir WinCaml7/ocaml
cp -R ../caml/ocaml/windows WinCaml7/ocaml
cp -R ../caml/doc WinCaml7
cp -R ../caml/exemples WinCaml7
cp ../SCINTILLA/Scintilla$ARCHI.dll WinCaml7/Scintilla.dll
