#!/bin/sh

#wxWidgets, Linux 64 bit, gtk2

#adapter les variables WXVERSION, WXVER et WXPATH

#version de wxWidgets:
WXVERSION=3.0.0
#WXVER=2.9 si WXVERSION=2.9.5, WXVER=3.0 si WXVERSION=3.0.x
WXVER=3.0

#chemin de la distribution wxWidgets
WXPATH=$HOME/wxWidgets-$WXVERSION

#libxxf86vm-dev: X11 XFree86 video mode extension library (si attendue)
#X11EXT=-lXxf86vm
X11EXT=

DEFINES="-D__WXGTK__ -DWXUSINGDLL -D_FILE_OFFSET_BITS=64 -DWX_PRECOMP"

INCLUDES="-I. -I$WXPATH/lib/wx/include/gtk2-unicode-$WXVER -I$WXPATH/include -I/usr/include/gtk-2.0 -I/usr/lib/x86_64-linux-gnu/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gtk-unix-print-2.0"

g++ -c $DEFINES -Wall -Wundef -Wunused-parameter -Wno-ctor-dtor-privacy -Woverloaded-virtual -O2 -pthread -fno-strict-aliasing -fvisibility=hidden -fvisibility-inlines-hidden $INCLUDES ../../sources/wx/*.cpp ../../sources/All/*.cpp

LIBS="-L$WXPATH/lib -lwx_gtk2u_stc-$WXVER -lwx_gtk2u_core-$WXVER -lwx_baseu-$WXVER -lwxscintilla-$WXVER -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgthread-2.0 -lrt -lglib-2.0 -lX11 $X11EXT -lSM -lpng -lz  -lwxregexu-$WXVER -ldl -lm"

g++ -o WinCaml *.o -Wl,-rpath,$WXPATH/lib -pthread -L$WXPATH/lib $LIBS

rm *.o
test -d WinCaml7 || mkdir WinCaml7
test -d WinCaml7/ocaml || mkdir WinCaml7/ocaml
mv WinCaml WinCaml7
cp -Rf ../../caml/ocaml/linux WinCaml7/ocaml
cp -Rf ../../caml/doc WinCaml7
cp -Rf ../../caml/caml-light  WinCaml7
#rm -f WinCaml7/caml-light/bin/caml*
#rm -f WinCaml7/caml-light/bin/mac*
chmod +x WinCaml7/caml-light/bin/lin*
cp -Rf ../../caml/exemples WinCaml7

cp a/WinCamlIcon.png WinCaml7
test -d "$HOME"/WinCaml7 && rm -rf "$HOME"/WinCaml7
mv WinCaml7 "$HOME"
echo "Installation de WinCamlIcon.png dans $HOME/.icons"
test -d "$HOME"/.icons || mkdir "$HOME"/.icons
cp a/WinCamlIcon.png "$HOME"/.icons
echo "Installation du lanceur WinCaml.desktop dans $HOME/.local/share/applications"
test -d "$HOME"/.local/share/applications || mkdir -p "$HOME"/.local/share/applications 
cp a/WinCaml.desktop "$HOME"/.local/share/applications

