/*
Program WinCaml: Graphical User Interface
for interactive use of Caml-Light and Ocaml.
Copyright (C) 2005-2024 Jean Mouric 35700 Rennes France
email: jean.mouric@orange.fr

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>. 
*/

// File HighlightLexer.h

#define INTEGER 1
#define FLOAT1 2
#define CHAR1 3
#define STRING 4
#define KEYWORD 5
#define IDENTIFIER 6
#define LCOMMENT 7
#define RCOMMENT 8
#define KEYSYM 9
#define OPERATOR 10
#define BACKSLASH 11
#define UNKNOWN 12
#define WHITESPACE 13
#define LPAR 14
#define RPAR 15
#define LBRACE 16
#define RBRACE 17
#define LBRACKET 18
#define RBRACKET 19
#define LLIST 20
#define RLIST 21
#define LSTREAM 22
#define RSTREAM 23
#define DO 24
#define DONE 25
#define BEGIN1 26
#define END 27
#define LET 28
#define IN1 29
#define TRY 30
#define WITH 31
#define IF 32
#define ELSE 33
#define THEN 34
#define LOBJECT 35
#define ROBJECT 36
#define BAR 37  // quoted strings
