/*
Program WinCaml: Graphical User Interface
for interactive use of Caml-Light and Ocaml.
Copyright (C) 2005-2024 Jean Mouric 35700 Rennes France
email: jean.mouric@orange.fr

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see <http://www.gnu.org/licenses/>. 
*/

// File OCamlIndenter.h

#define AND 1
#define AS 2
#define ASSERT1 3
#define BACKQUOTE 4
#define BEGIN1 5
#define BOOLVALUE 6
#define CAPITALIZED_IDENT 7
#define CHAR 8
#define CLASS 9
#define COLON 10
#define COLONCOLON 11
#define COMMA 12
#define CONSTRAINT 13
#define DOT 14
#define DOTDOT 16
#define DOTDOTDOT 17
#define EMPTYLIST 18
#define END 19
#define ENDMARK 20
#define EXCEPTION 24
#define EXTERNAL 25
#define FLOAT 26
#define FOR 27
#define FUN 28
#define FUNCTION 29
#define FUNCTOR 30
#define IDENT 31
#define IF 33
#define INCLUDE 34
#define INFIX_SYMBOL 36
#define INHERIT 37
#define INITIALIZER 38
#define INTEGER 39
#define LAZY 40
#define LBRACE 41
#define LBRACKET 42
#define LET 43
#define LLIST 44
#define LOBJECT 45
#define LOWERCASE_IDENT 46
#define LPAR 47
#define MATCH 48
#define METHOD1 49
#define MODULE 51
#define MUTABLE 52
#define NEW 53
#define OBJECT 54
#define OF 55
#define OPEN 56
#define PREFIX_SYMBOL 58
#define PRIVATE 59
#define QUOTE 61
#define RBRACE 62
#define RBRACKET 63
#define REC 64
#define RIGHTARROW 65
#define RLIST 66
#define ROBJECT 67
#define RPAR 68
#define SEMICOLON 69
#define SHARP 70
#define STRING 72
#define STRUCT 74
#define TRY1 76
#define TYPE 77
#define UNIT 80
#define VAL 81
#define VIRTUAL 83
#define WHILE 84
#define WITH 85
#define COMMENT 86
#define IN1 87
#define	TO 88
#define DOWNTO 89
#define PARSER 90
#define LEFTARROW 91
#define INFIX_OP 93
#define THEN 94
#define ELSE 95
#define LSTREAM 96
#define RSTREAM 97
#define DO 98
#define DONE 99
#define LBRACKETSUP 100
#define SIG 101
#define COLONSUP 102
#define WHEN 103
#define OTHER 104
